package dev.adriankuta.model.data.api

import dev.adriankuta.model.data.api.entities.FlightResponse
import retrofit2.http.GET
import retrofit2.http.Headers
import retrofit2.http.Query

interface FlightService {

    // example query: v4/en-gb/Availability?dateout=2025-09-17&origin=WRO&destination=DUB&adt=1&ToUs=AGREED
    @Headers(
        "client: android",
        "client-version: 3.300.0"
    )
    @GET("v4/en-gb/Availability")
    suspend fun getFlights(
        @Query("dateout") date: String,
        @Query("origin") origin: String,
        @Query("destination") destination: String,
        @Query("adt") adult: Int,
        @Query("teen") teen: Int,
        @Query("chd") child: Int,
        @Query("inf") inf: Int = 0,
        @Query("ToUs") toUs: String = "AGREED"
    ): FlightResponse
}
